Package com.sas.lsaf.security.privilege

## Class GlobalPrivileges

- java.lang.Object
- - com.sas.lsaf.security.privilege.GlobalPrivileges

-     public abstract class GlobalPrivileges
      extends java.lang.Object

  A constants class that provides a comprehensive list of global privileges used within the system.

  Global privileges are privileges that can be assigned directly to users through the `GlobalPrivilegeService` and provide capabilities throughout the system. Global privileges cannot be assigned to roles through the `RoleService`.

  Since:
    1.7
  See Also:
    `GlobalPrivilegeService.getAvailablePrivileges()`, `GlobalPrivilegeService.grantPrivilege(String, String)`, `GlobalPrivilegeService.revokePrivilege(String, String)`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.Set<java.lang.String>` | `ALL_GLOBAL_PRIVILEGE_IDS` | The complete set of global privilege identifiers within the system.
    `static java.util.Set<GlobalPrivilege>` | `ALL_GLOBAL_PRIVILEGES` | The complete set of global privileges within the system.
    `static GlobalPrivilege` | `PRIVILEGE_AUDIT_REPORTING` | The global privilege that allows users to view the audit trail for the entire system.
    `static GlobalPrivilege` | `PRIVILEGE_CREATE_MESSAGE` | The global privilege that allows users to send internal messages to other users within the system.
    `static GlobalPrivilege` | `PRIVILEGE_CREATE_TOPLEVEL_CONTEXTS` | The global privilege that allows users to create top-level contexts in the repository..
    `static GlobalPrivilege` | `PRIVILEGE_MANAGE_ALL_SCHEDULES` | The global privilege that allows users to manage schedules created by other users.
    `static GlobalPrivilege` | `PRIVILEGE_MANAGE_ALL_SESSIONS` | The global privilege that allows users to manage SAS Sessions created by other users.
    `static GlobalPrivilege` | `PRIVILEGE_MANAGE_CHECKEDOUT_FILES` | The global privilege that allows users to manage checked out files that are checked out by other users.
    `static GlobalPrivilege` | `PRIVILEGE_MANAGE_EXTENDED_ATTRIBUTES` | The global privilege that allows users to create and manage extended attributes within the system.
    `static GlobalPrivilege` | `PRIVILEGE_MANAGE_PROCESS_FLOW_DEFINITIONS` | The global privilege that allows users to manage process flow definitions within the repository.
    `static GlobalPrivilege` | `PRIVILEGE_MANAGE_SCHEDULES` | The global privilege that allows users to create and manage their own schedules.
    `static GlobalPrivilege` | `PRIVILEGE_MANAGE_STANDARDS` | The global privilege that allows users to create and update data standards within the repository.
    `static GlobalPrivilege` | `PRIVILEGE_MANAGE_SYSTEM_MESSAGE` | The global privilege that allows users to edit the system message that application users see in their dashboard view.
    `static GlobalPrivilege` | `PRIVILEGE_MANAGE_USER_ACCOUNTS` | The global privilege that allows users to create and manage user accounts within the system.
    `static GlobalPrivilege` | `PRIVILEGE_MANAGE_USERS` | The global privilege that allows users to manage user detail information within the system.
    `static GlobalPrivilege` | `PRIVILEGE_SUBMIT_SESSION` | The global privilege that allows users to submit and execute SAS code within the system.
    `static GlobalPrivilege` | `PRIVILEGE_VIEW_ADMINISTRATIVE_DASHBOARD_TILES` | The global privilege that allows users to view administrative dashboard tiles.
    `static GlobalPrivilege` | `PRIVILEGE_VIEW_USERS` | The global privilege that allows users to view all users.
    `static GlobalPrivilege` | `PRIVILEGE_WEBDAV_ACCESS` | The global privilege that allows users to connect and access all WebDAV functionality.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GlobalPrivileges()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PRIVILEGE_VIEW_ADMINISTRATIVE_DASHBOARD_TILES

          public static final GlobalPrivilege PRIVILEGE_VIEW_ADMINISTRATIVE_DASHBOARD_TILES

      The global privilege that allows users to view administrative dashboard tiles.

    - #### PRIVILEGE_MANAGE_SYSTEM_MESSAGE

          public static final GlobalPrivilege PRIVILEGE_MANAGE_SYSTEM_MESSAGE

      The global privilege that allows users to edit the system message that application users see in their dashboard view.

    - #### PRIVILEGE_CREATE_TOPLEVEL_CONTEXTS

          public static final GlobalPrivilege PRIVILEGE_CREATE_TOPLEVEL_CONTEXTS

      The global privilege that allows users to create top-level contexts in the repository..

    - #### PRIVILEGE_MANAGE_CHECKEDOUT_FILES

          public static final GlobalPrivilege PRIVILEGE_MANAGE_CHECKEDOUT_FILES

      The global privilege that allows users to manage checked out files that are checked out by other users.

    - #### PRIVILEGE_WEBDAV_ACCESS

          public static final GlobalPrivilege PRIVILEGE_WEBDAV_ACCESS

      The global privilege that allows users to connect and access all WebDAV functionality.

    - #### PRIVILEGE_MANAGE_ALL_SESSIONS

          public static final GlobalPrivilege PRIVILEGE_MANAGE_ALL_SESSIONS

      The global privilege that allows users to manage SAS Sessions created by other users.

    - #### PRIVILEGE_SUBMIT_SESSION

          public static final GlobalPrivilege PRIVILEGE_SUBMIT_SESSION

      The global privilege that allows users to submit and execute SAS code within the system.

    - #### PRIVILEGE_CREATE_MESSAGE

          public static final GlobalPrivilege PRIVILEGE_CREATE_MESSAGE

      The global privilege that allows users to send internal messages to other users within the system.

    - #### PRIVILEGE_MANAGE_ALL_SCHEDULES

          public static final GlobalPrivilege PRIVILEGE_MANAGE_ALL_SCHEDULES

      The global privilege that allows users to manage schedules created by other users.

    - #### PRIVILEGE_MANAGE_SCHEDULES

          public static final GlobalPrivilege PRIVILEGE_MANAGE_SCHEDULES

      The global privilege that allows users to create and manage their own schedules.

    - #### PRIVILEGE_AUDIT_REPORTING

          public static final GlobalPrivilege PRIVILEGE_AUDIT_REPORTING

      The global privilege that allows users to view the audit trail for the entire system.

    - #### PRIVILEGE_MANAGE_USER_ACCOUNTS

          public static final GlobalPrivilege PRIVILEGE_MANAGE_USER_ACCOUNTS

      The global privilege that allows users to create and manage user accounts within the system.

    - #### PRIVILEGE_MANAGE_USERS

          public static final GlobalPrivilege PRIVILEGE_MANAGE_USERS

      The global privilege that allows users to manage user detail information within the system.

    - #### PRIVILEGE_VIEW_USERS

          public static final GlobalPrivilege PRIVILEGE_VIEW_USERS

      The global privilege that allows users to view all users.

    - #### PRIVILEGE_MANAGE_EXTENDED_ATTRIBUTES

          public static final GlobalPrivilege PRIVILEGE_MANAGE_EXTENDED_ATTRIBUTES

      The global privilege that allows users to create and manage extended attributes within the system.

    - #### PRIVILEGE_MANAGE_PROCESS_FLOW_DEFINITIONS

          public static final GlobalPrivilege PRIVILEGE_MANAGE_PROCESS_FLOW_DEFINITIONS

      The global privilege that allows users to manage process flow definitions within the repository.

    - #### PRIVILEGE_MANAGE_STANDARDS

          public static final GlobalPrivilege PRIVILEGE_MANAGE_STANDARDS

      The global privilege that allows users to create and update data standards within the repository.

    - #### ALL_GLOBAL_PRIVILEGES

          public static final java.util.Set<GlobalPrivilege> ALL_GLOBAL_PRIVILEGES

      The complete set of global privileges within the system.

    - #### ALL_GLOBAL_PRIVILEGE_IDS

          public static final java.util.Set<java.lang.String> ALL_GLOBAL_PRIVILEGE_IDS

      The complete set of global privilege identifiers within the system.

  - ### Constructor Detail

    - #### GlobalPrivileges

          public GlobalPrivileges()